/*
 * @(#)ParseFileHandler.java	1.1 06/25/04
 *
 * McGill Univarsity
 */


package bodhidharma.xml_parsing;

import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;


/**
 * An extension of the <i>Xerces</i> <code>XML DefaultHandler</code>
 * class that adds an array of objects that can contain information
 * derived from files during parsing.
 *
 * @see DefaultHandler
 */
public class ParseFileHandler extends DefaultHandler
{
	/* FIELDS ******************************************************************/


	/**
	 * Holds the data extracted from the XML file.
	 */
	public Object[] parsed_file_contents;
}