/*
 * @(#)ParsingXMLErrorHandler.java	1.1 06/25/04
 *
 * McGill Univarsity
 */

package bodhidharma.xml_parsing;

import org.xml.sax.*;


/**
 * An implementation of the <i>XML SAX</i> <code>ErrorHandler</code>
 * class. The methods of this class are called by an instance of an 
 * <code>XMLReader</code> while it is parsing an XML document.
 *
 * <p>This particular implementation simply throws unaltered
 * exceptions of all three standard types.
 *
 * @author Cory McKay
 * @see	ErrorHandler
 * @see XMLReader
 */
public class ParsingXMLErrorHandler
	implements ErrorHandler
{
	public void warning(SAXParseException exception)
		throws SAXParseException
	{
		throw exception;
	}

	public void error(SAXParseException exception)
		throws SAXParseException
	{
		throw exception;

	}

	public void fatalError(SAXParseException exception)
		throws SAXParseException
	{
		throw exception;
	}
}