/*
 * @(#)AboutDialog.java	1.1.2 09/15/04
 *
 * McGill Univarsity
 */

package bodhidharma;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Part of the Bodhidharma automatic music classification project. Displays basic
 * authourship and version information about the software.
 */
class AboutDialog
	extends JDialog
{
	/* CONSTRUCTOR *************************************************************/


	/**
	 * Basic constructor.
	 */
	public AboutDialog(JFrame owner)
	{
		// Give the dialog box its owner, its title and make it modal
		super(owner, "About Bodhidharma", true);
		Container contentPane = getContentPane();

		// Add label to centre
		contentPane.add(new JLabel("<HTML><C><H1><I>Bodhidharma 1.2.2</I></H1><HR>"
			+ "<p> Cory McKay 2005<br>McGill University</C></HTML>"),
		BorderLayout.CENTER);

		// Add OK button to close the dialog box
		JButton ok = new JButton("Ok");
		ok.addActionListener(new
		ActionListener()
		{
			public void actionPerformed(ActionEvent evt)
			{
				setVisible(false);
			}
		});


		// Display components
		JPanel panel = new JPanel();
		panel.add(ok);
		contentPane.add(panel, BorderLayout.SOUTH);
		setSize(250, 205);
	}
}